"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const Tool_1 = require("./Tool");
const Logger_1 = require("./Logger");
const Inputs_1 = require("./Inputs");
const Outputs_1 = require("./Outputs");
const TaskResult_1 = require("./TaskResult");
const github = __importStar(require("@actions/github"));
class GitHubFactory {
    constructor() {
        this.tool = new Tool_1.Tool();
        this.log = new Logger_1.Logger();
        this.inputs = new Inputs_1.Inputs();
        this.outputs = new Outputs_1.Outputs();
        this.repo = {
            path: process.cwd(),
            ref: github.context.ref,
            sha: github.context.sha,
            uri: `https://github.com/${github.context.repo.owner}/${github.context.repo.repo}`,
        };
        this.temp = process.env.RUNNER_TEMP;
        this.result = new TaskResult_1.TaskResult();
        if (github.context.eventName === 'pull_request') {
            const pullRequestPayload = github.context.payload;
            this.pullRequest = {
                id: pullRequestPayload.number,
                targetBranch: pullRequestPayload.pull_request.base,
                sourceBranch: pullRequestPayload.pull_request.head,
            };
        }
    }
}
exports.factory = new GitHubFactory();
